import { z } from 'zod';
import { TouchBaseSchema } from '@isa/common/data-access';

export const ItemLabelSchema = TouchBaseSchema.extend({
  labelType: z.string().describe('Label type').optional(),
  cultureInfo: z.string().describe('Culture info').optional(),
  value: z.string().describe('Value').optional(),
});

export type ItemLabel = z.infer<typeof ItemLabelSchema>;
